
source("modules/Loading/Loading.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("modules/Visualization/Visualization.R")

recipe_file <- "modules/Loading/testing_recipes/recipe_system7c3s-prlr.yml"
recipe <- read_yaml(recipe_file)
archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive

# Load datasets
data <- load_datasets(recipe_file)
# Calibrate datasets
calibrated_data <- calibrate_datasets(data, recipe)
# Compute skill metrics
skill_metrics <- compute_skill_metrics(calibrated_data$hcst, data$obs, recipe)
# Compute percentiles and probability bins
probabilities <- compute_probabilities(calibrated_data$hcst, recipe)
# Export all data to netCDF
save_data(recipe, archive, data, calibrated_data, skill_metrics, probabilities)
# Plot data
plot_data(recipe, archive, data, calibrated_data, skill_metrics, probabilities,
	  significance = T)
